Subject: Re: [PATCH] Git.pm: Don't return 'undef' in vector context.

From: Dan Zwell <[email-masked]>
Date: Fri, 16 Nov 2007 21:20:40 -0600

Jakub Narebski wrote:
> 
> By the way, what do you think about changing Git.pm config handling
> to the 'eager' one used currently by gitweb, namely reading all the
> config to hash, and later getting config values from hash instead of
> calling git-config? Or at least make it an option?
> 

That seems appropriate, though it may be a slight trade-off between 
complexity and efficiency. I don't think it's strictly necessary, at 
least for git-add--interactive. My experience is that the nine calls to 
config() (that I am adding) do not slow down the program from a user 
perspective (though I haven't tested on a slower computer).

The big reason to do it would be if you wanted to convert gitweb to use 
the standard config() call from Git.pm. Because right now, config() 
isn't efficient, but it probably doesn't need to be.

Dan